100  '  Lawson Labs Inc.
110  '  3239 Phoenixville Pike
120  '  Malvern, PA 19035
130  '  800 321-5355
140  '
150  'February 1998
160  '
170  'Sample driver controlling a Model 188 board from an LPT1 or LPT2 port
180  '
184  '
185  ' Contact factory for Model 201 or 250 Drivers with 188 support
186  '
190  LPTADDR = &H378  'Other possible addresses are &H278 or &H3BC
200  LATCH% = 120   ' default is off
210  CLS
220  LOCATE 3, 1
230 PRINT "             1.  Relay data ";
240 IF LATCH% = 112 THEN PRINT "On " ELSE PRINT "Off"
250 PRINT "             2.  Change a relay"
260 PRINT "             3.  Clear all relays"
270 PRINT "             4.  Exit"
280 INPUT "             Enter choice: "; CHOICE%
290 IF CHOICE% = 1 THEN GOSUB 340
300 IF CHOICE% = 2 THEN GOSUB 390
310 IF CHOICE% = 3 THEN WORD% = 104: GOSUB 440
320 IF CHOICE% = 4 THEN END
330 GOTO 210
340 'Toggle relay
350 IF LATCH% = 112 THEN LATCH% = 120 ELSE LATCH% = 112
360 WORD% = LATCH%
370 GOSUB 440   'Send WORD% to Model 188
380 RETURN
390 'Change relay
400 CLS
410 IF LATCH% = 120 THEN PRINT "Turn off";  ELSE PRINT "Turn on";
420 INPUT ; " relay number (0 - 87)"; WORD%
430 IF WORD% < 0 OR WORD% > 87 THEN 420
440 'Send WORD% to Model 188
450 OUT LPTADDR, WORD%
460 OUT LPTADDR, WORD% + 128
470 IF WORD% = 120 THEN FOR PAUSE = 0 TO 1000: NEXT PAUSE
480 '  above pause is only required for fast machines
490 OUT LPTADDR, WORD%
500 RETURN
510 '
520 ' Interconnections:
530 '   LPT1 or LPT2 connector pin #                Model 188 connector pin #
540 '              2 ---------------------------------------  6
550 '              3 ---------------------------------------  7
560 '              4 ---------------------------------------  8
570 '              5 ---------------------------------------  9
580 '              6 --------------------------------------- 10
590 '              7 --------------------------------------- 11
600 '              8 --------------------------------------- 12
610 '              9 --------------------------------------- 13
620 '             25 --------------------------------------- 14 (ground)
630 '
640 '   connect the 5 Volt DC power supply to terminals GND and +5
650 '
660 '
670 '   The LPT address in line 190 is for a monochrome/printer port card
680 '   You may need to use one of the alternate port addresses.

